@import "./checkbox.css";
@import "./colors.css";
@import "./drawer.css";
@import "./gallery.css";
@import "./input.css";
@import "./popover.css";
@import "./range.css";
@import "./reviews.css";
@import "./scrollbar.css";
@import "./select.css";
@import "./slider.css";
@import "./details.css";

:root {
  --default-section-margin: 52px;

  @media (width < 769px) {
    --default-section-margin: 24px;
  }
}

* {
  line-height: 1.2 !important;
  font-family: "Rawline", ui-sans-serif, system-ui, sans-serif !important;
  transition: all 0.3s ease;
  scroll-padding-top: calc(64px + (var(--default-section-margin) / 2));
  scroll-behavior: smooth;

  border: 1px solid purple;
}
html {
  background-color: var(--white);
}

.bg-pattern {
  background: #1c1c1c;
  background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' width='200' height='100' viewBox='0 0 200 100'><polygon points='200,0 100,100 0,100 100,0' fill='%23eeeeee14' stroke='none' stroke-width='1'/></svg>");
  background-size: 400px 200px;
  background-repeat: repeat;

  @media (width < 769px) {
    background-size: 200px 100px;
  }
}
.bg-pattern--mini {
  background: #1c1c1c;
  background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' width='200' height='100' viewBox='0 0 200 100'><polygon points='200,0 100,100 0,100 100,0' fill='%23eeeeee14' stroke='none' stroke-width='1'/></svg>");
  background-size: 140px 70px;
  background-repeat: repeat;

  @media (width < 769px) {
    background-size: 70px 35px;
  }
}
.bg-pattern--light {
  background: #ffffff;
  background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' width='200' height='100' viewBox='0 0 200 100'><polygon points='200,0 100,100 0,100 100,0' fill='%23eeeeee4d' stroke='none' stroke-width='1'/></svg>");
  background-size: 400px 200px;
  background-repeat: repeat;

  @media (width < 769px) {
    background-size: 200px 100px;
  }
}
.bg-pattern--light--mini {
  background: #ffffff;
  background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' width='200' height='100' viewBox='0 0 200 100'><polygon points='200,0 100,100 0,100 100,0' fill='%23eeeeee4d' stroke='none' stroke-width='1'/></svg>");
  background-size: 140px 70px;
  background-repeat: repeat;

  @media (width < 769px) {
    background-size: 70px 35px;
  }
}

.link-hover {
  transition: all 0.3s ease-in;

  &:hover {
    letter-spacing: 0.025em;
  }
}
.link-underline-hover,
.link-underline-hover--black,
.link-underline-hover--white {
  position: relative;
  padding: 0 0 4px 0;
  &:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 2px;
    transform: scaleX(0);
    background-color: var(--primary);

    transition: transform 0.3s;
  }

  &:hover {
    &:after {
      transform: scaleX(1);
    }
  }
  &.no-underline:after {
    transform: scaleX(0) !important;
  }
}
.link-underline-hover--black {
  &:after {
    background-color: var(--black);
  }
}
.link-underline-hover--white {
  &:after {
    background-color: var(--white);
  }
}
.socials-hover {
  transition: all 0.3s ease-in;
  border-radius: 12px;

  &:hover {
    background-color: var(--primary);
  }
}
.card-hover {
  transition: all 0.3s ease-in;
  position: relative;
  overflow: hidden;

  &:after {
    content: "";
    position: absolute;
    display: block;
    top: 0;
    right: 0;
    visibility: hidden;
    opacity: 0;
    border-radius: 999px;
    background-color: var(--primary-light);
    filter: blur(40px);
    transform: translate(80px, 20px);
    transition: all 0.3s ease-in;
    width: 120px;
    height: 120px;
  }
  &:hover:after {
    opacity: 0.3;
    visibility: visible;
    transform: translate(20px, 20px);
  }
}

.mobile-submenu.opened {
  max-height: 400px !important;
  margin-top: 12px;
}

[data-service-button] {
  display: flex;
  align-items: center;
  gap: 0;
  background-color: #ffffff;
  color: #1c1c1c;
  transition: all 0.3s ease;
  padding: 12px 20px;
  width: 100%;

  &:not(.active):hover {
    scale: 102%;
  }

  span {
    flex: 1;
    text-align: center;
    transition: transform 0.3s ease;
  }

  img {
    flex-shrink: 0;
    width: 0;
    opacity: 0;
    transition: width 0.3s ease, opacity 0.3s ease;
    overflow: hidden;
  }

  &.active {
    background-color: #cd0c11;
    color: #ffffff;

    span {
      transform: translateX(-10px);
    }

    img {
      width: 20px;
      opacity: 1;
    }
  }
}

[services-category] {
  transition: all 0.3s ease;
  opacity: 1;
  max-height: 2000px;
  overflow: hidden;
}
[services-category].hidden {
  opacity: 0;
  max-height: 0;
  padding: 0;
  margin: 0;
}

details[data-category-index] {
  summary {
    background-color: #ffffff;
    color: #1c1c1c;
    transition: background 0.3s ease, color 0.3s ease;
    cursor: pointer;

    svg {
      transition: transform 0.3s ease;
    }
  }

  &.active summary {
    background-color: #cd0c11;
    color: #ffffff;

    svg {
      transform: rotate(180deg);
    }
  }

  > div {
    overflow: hidden;
    max-height: 0;
    padding: 0 0;
    transition: max-height 0.4s ease, padding 0.3s ease;
  }

  &[open] > div,
  &.active > div {
    max-height: 2000px;
    padding: 8px 0 0 0;
  }

  summary::marker,
  summary::-webkit-details-marker {
    display: none;
    content: "";
  }
}

.group > span::before {
  content: "";
  position: absolute;
  bottom: -32px;
  left: 50%;
  transform: translateX(-50%) translateY(200px);
  border: 10px solid transparent;
  border-bottom-color: #f2f3f5;
  border-top: 0;
  transition: all 0.3s ease;
  z-index: 6;

  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.group:hover > span::before {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;

  transform: translateX(-50%) translateY(0);
}

body.drawer-open {
  overflow: hidden;
}

@media (hover: hover) and (pointer: fine) {
  .tooltip-wrapper:hover .tooltip-content {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
  }

  .tooltip-trigger {
    pointer-events: none;
  }

  .tooltip-wrapper {
    pointer-events: auto;
  }

  .tooltip-wrapper:hover .tooltip-trigger {
    pointer-events: auto;
  }
}
@media (hover: none) {
  .tooltip-wrapper.active .tooltip-content {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
  }
}

.tab-button:not([mainGrid]) {
  color: #1c1c1c;
  font-size: 16px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 16px;
  background: #f2f3f5;
  border-radius: 16px;
  font-weight: 500;
  overflow: hidden;
  transition: all 0.5s ease;

  @media (width < 1024px) {
    width: 213px;
    flex-shrink: 0;
  }

  @media (width < 768px) {
    font-size: 12px;
    padding: 12px;
    border-radius: 12px;
    width: 136px;
  }
}

.tab-button:not([mainGrid]) .tab-img {
  width: 100%;
  height: 64px;
  transform: translateX(50%);
  transition: all 0.5s ease;

  @media (width < 768px) {
    height: 52px;
  }
}

.tab-button:not([mainGrid]):hover .tab-img,
.tab-button:not([mainGrid]).active .tab-img {
  transform: translateX(0%);
}

.tab-button[mainGrid] {
  transition: all 0.3s ease;
}
.tab-button[mainGrid].active {
  background: white;
}
